Update an associated party
curl --request PATCH \
--url https://production.hifi.com/v3/compliance/associated-parties/{associatedPartyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"roles": [
"<string>"
],
"businessTitle": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"nationality": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"physicalAddress": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"stateProvinceRegion": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"dateOfBirth": "2023-12-25",
"gender": "<string>",
"taxId": "<string>",
"taxIdType": "<string>",
"taxIdCountry": "<string>",
"relationshipEstablishedAt": "2023-12-25",
"shareProportion": 50
}
'import requests
url = "https://production.hifi.com/v3/compliance/associated-parties/{associatedPartyId}"
payload = {
"roles": ["<string>"],
"businessTitle": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"nationality": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"physicalAddress": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"stateProvinceRegion": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"dateOfBirth": "2023-12-25",
"gender": "<string>",
"taxId": "<string>",
"taxIdType": "<string>",
"taxIdCountry": "<string>",
"relationshipEstablishedAt": "2023-12-25",
"shareProportion": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
roles: ['<string>'],
businessTitle: '<string>',
firstName: '<string>',
middleName: '<string>',
lastName: '<string>',
nationality: '<string>',
email: 'jsmith@example.com',
phoneNumber: '<string>',
physicalAddress: {
addressLine1: '<string>',
addressLine2: '<string>',
city: '<string>',
stateProvinceRegion: '<string>',
postalCode: '<string>',
country: '<string>'
},
dateOfBirth: '2023-12-25',
gender: '<string>',
taxId: '<string>',
taxIdType: '<string>',
taxIdCountry: '<string>',
relationshipEstablishedAt: '2023-12-25',
shareProportion: 50
})
};
fetch('https://production.hifi.com/v3/compliance/associated-parties/{associatedPartyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"roles": [
"<string>"
],
"businessTitle": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"nationality": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"physicalAddress": {
"addressLine1": "<string>",
"city": "<string>",
"stateProvinceRegion": "<string>",
"postalCode": "<string>",
"country": "<string>",
"addressLine2": "<string>"
},
"dateOfBirth": "2023-12-25",
"gender": "<string>",
"taxId": "<string>",
"taxIdType": "<string>",
"taxIdCountry": "<string>",
"relationshipEstablishedAt": "2023-12-25",
"shareProportion": 50,
"userId": "<string>"
}{
"type": "VALIDATION_ERROR",
"message": "One or more fields are invalid or missing.",
"fields": [
{
"code": "invalid_value",
"message": "Must be a valid email address",
"field": "email"
}
]
}{
"type": "UNAUTHORIZED",
"message": "Authentication required"
}{
"type": "RESOURCE_NOT_FOUND",
"message": "<string>",
"fields": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred"
}Compliance
Update an associated party
Update an existing associated party. All fields are optional — only the fields you provide are changed.
PATCH
/
v3
/
compliance
/
associated-parties
/
{associatedPartyId}
Update an associated party
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Public ID of the associated party (prefixed with ap_)
Body
application/json
Minimum array length:
1Maximum string length:
255Pattern:
^[\x20-\x7E\n]*$Maximum string length:
255Pattern:
^[\x20-\x7E\n]*$Maximum string length:
255Pattern:
^[\x20-\x7E\n]*$Maximum string length:
255Pattern:
^[\x20-\x7E\n]*$Required string length:
3Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Pattern:
^\+[1-9]\d{6,14}$Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Maximum string length:
255Pattern:
^[\x20-\x7E\n]*$Required string length:
3Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Required range:
0 <= x <= 100Response
An associated party.
Minimum array length:
1Maximum string length:
255Pattern:
^[\x20-\x7E\n]*$Maximum string length:
255Pattern:
^[\x20-\x7E\n]*$Maximum string length:
255Pattern:
^[\x20-\x7E\n]*$Maximum string length:
255Pattern:
^[\x20-\x7E\n]*$Required string length:
3Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Pattern:
^\+[1-9]\d{6,14}$Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Maximum string length:
255Pattern:
^[\x20-\x7E\n]*$Required string length:
3Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Required range:
0 <= x <= 100Pattern:
^usr.*⌘I